> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Flight Orders

> Retrieve all flight orders for the authenticated business



## OpenAPI

````yaml api-reference/vaas-services-openapi.json GET /vaas/api/v1/flight/orders
openapi: 3.1.0
info:
  title: PayVessel Value-Added Services API
  description: >-
    API reference for PayVessel biller reseller, eSIM, gift card, and flight
    services.
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - apiKey: []
    apiSecret: []
paths:
  /vaas/api/v1/flight/orders:
    get:
      tags:
        - Flight
        - Flight
      summary: List Flight Orders
      description: >-
        Retrieve all flight orders for the authenticated business, ordered from
        newest to oldest
      operationId: list_orders_vaas_api_v1_flight_orders_get
      parameters:
        - name: api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
        - name: api-secret
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Secret
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListOrdersResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListOrdersResponseSchema:
      properties:
        status:
          type: boolean
          title: Status
        message:
          type: string
          title: Message
        data:
          items:
            $ref: '#/components/schemas/api__flight__schemas__order__OrderSchema'
          type: array
          title: Data
      type: object
      required:
        - status
        - message
        - data
      title: ListOrdersResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    api__flight__schemas__order__OrderSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        business_id:
          type: string
          title: Business Id
        merchant_reference:
          type: string
          title: Merchant Reference
        order_reference:
          type: string
          title: Order Reference
        quote_id:
          type: string
          format: uuid
          title: Quote Id
        currency_code:
          type: string
          title: Currency Code
        pricing:
          $ref: '#/components/schemas/PricingBreakdownSchema'
        status:
          $ref: '#/components/schemas/FlightOrderStatus'
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        passengers:
          items:
            $ref: '#/components/schemas/PassengerSummarySchema'
          type: array
          title: Passengers
        created_datetime:
          type: string
          format: date-time
          title: Created Datetime
        updated_datetime:
          type: string
          format: date-time
          title: Updated Datetime
        completed_datetime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed Datetime
      type: object
      required:
        - id
        - business_id
        - merchant_reference
        - order_reference
        - quote_id
        - currency_code
        - pricing
        - status
        - created_datetime
        - updated_datetime
      title: OrderSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    PricingBreakdownSchema:
      properties:
        currency_code:
          type: string
          title: Currency Code
        base_price:
          type: number
          minimum: 0
          title: Base Price
        service_charge:
          type: number
          minimum: 0
          title: Service Charge
        total_amount:
          type: number
          minimum: 0
          title: Total Amount
        wallet_reward_on_success:
          type: number
          minimum: 0
          title: Wallet Reward On Success
        price_status:
          $ref: '#/components/schemas/FlightPriceStatus'
      type: object
      required:
        - currency_code
        - base_price
        - service_charge
        - total_amount
        - wallet_reward_on_success
        - price_status
      title: PricingBreakdownSchema
    FlightOrderStatus:
      type: string
      enum:
        - pending
        - processing
        - completed
        - failed
        - cancelled
      title: FlightOrderStatus
    PassengerSummarySchema:
      properties:
        passenger_type:
          type: string
          title: Passenger Type
          enum:
            - Adult
            - Child
            - Infant
          description: 'Supported values: Adult, Child, Infant.'
        first_name:
          type: string
          title: First Name
        middle_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Middle Name
        last_name:
          type: string
          title: Last Name
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        gender:
          anyOf:
            - type: string
            - type: 'null'
          title: Gender
      type: object
      required:
        - passenger_type
        - first_name
        - last_name
      title: PassengerSummarySchema
    FlightPriceStatus:
      type: string
      enum:
        - preview
        - final
      title: FlightPriceStatus
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key
      description: Your PayVessel business API key.
    apiSecret:
      type: apiKey
      in: header
      name: api-secret
      description: Your PayVessel business API secret.

````